Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.versification
Class BibleNames.NameList

    java.lang.Object
      org.crosswire.jsword.versification.BibleNames.NameList

Enclosing class:
  BibleNames

    private class BibleNames.NameList

extends Object

NameList is the internal, internationalize list of names for a locale.

Author:
  DM Smith
See Also:
  `The GNU Lesser General Public License for details.
  The copyright to this program is held by its authors.`

Field Summary
`private static String` | `ALT_KEY`
`private Map<String,BookName>` | `altNC` Alternative shortened names for the Deuterocanonical books of the Bible normalized, generated at runtime.
`private Map<String,BookName>` | `altNT` Alternative shortened names for the New Testament books of the Bible normalized, generated at runtime.
`private Map<String,BookName>` | `altOT` Alternative shortened names for the Old Testament books of the Bible normalized, generated at runtime.
`private LinkedHashMap<BibleBook,BookName>` | `books` The collection of BookNames by BibleBooks.
`private static String` | `FULL_KEY`
`private Map<String,BookName>` | `fullNC` The full names of the Deuterocanonical books of the Bible normalized, generated at runtime
`private Map<String,BookName>` | `fullNT` The full names of the New Testament books of the Bible normalized, generated at runtime
`private Map<String,BookName>` | `fullOT` The full names of the Old Testament books of the Bible normalized, generated at runtime
`private Locale` | `locale` The locale for the Bible Names
`private static String` | `SHORT_KEY`
`private Map<String,BookName>` | `shortNC` Standard shortened names for the Deuterocanonical books of the Bible normalized, generated at runtime.
`private Map<String,BookName>` | `shortNT` Standard shortened names for the New Testament books of the Bible, normalized, generated at runtime.
`private Map<String,BookName>` | `shortOT` Standard shortened names for the Old Testament books of the Bible normalized, generated at runtime.

Constructor Summary
`BibleNames.NameList(Locale locale)` Create NameList for the given locale

Method Summary
`(package private) BibleBook` | `getBook(String find, boolean fuzzy)` Get a book from its name.
`(package private) BookName` | `getBookName(BibleBook book)`
`(package private) String` | `getLongName(BibleBook book)` Get the full name of a book (e.g.
`(package private) String` | `getPreferredName(BibleBook book)` Get the preferred name of a book.
`(package private) String` | `getShortName(BibleBook book)` Get the short name of a book (e.g.
`private String` | `getString(ResourceBundle resources, String key)`
`private void` | `initialize()` Load up the resources for Bible book and section names, and cache the upper and lower versions of them.
`private void` | `store(ResourceBundle resources, BibleBook book, Map fullMap, Map shortMap, Map altMap)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FULL_KEY

    private static final String FULL_KEY

See Also:
  Constant Field Values

### SHORT_KEY

    private static final String SHORT_KEY

See Also:
  Constant Field Values

### ALT_KEY

    private static final String ALT_KEY

See Also:
  Constant Field Values

### locale

    private Locale locale

  The locale for the Bible Names

### books

    private LinkedHashMap<BibleBook,BookName> books

  The collection of BookNames by BibleBooks.

### fullNT

    private Map<String,BookName> fullNT

  The full names of the New Testament books of the Bible normalized, generated at runtime

### fullOT

    private Map<String,BookName> fullOT

  The full names of the Old Testament books of the Bible normalized, generated at runtime

### fullNC

    private Map<String,BookName> fullNC

  The full names of the Deuterocanonical books of the Bible normalized, generated at runtime

### shortNT

    private Map<String,BookName> shortNT

  Standard shortened names for the New Testament books of the Bible, normalized, generated at runtime.

### shortOT

    private Map<String,BookName> shortOT

  Standard shortened names for the Old Testament books of the Bible normalized, generated at runtime.

### shortNC

    private Map<String,BookName> shortNC

  Standard shortened names for the Deuterocanonical books of the Bible normalized, generated at runtime.

### altNT

    private Map<String,BookName> altNT

  Alternative shortened names for the New Testament books of the Bible normalized, generated at runtime.

### altOT

    private Map<String,BookName> altOT

  Alternative shortened names for the Old Testament books of the Bible normalized, generated at runtime.

### altNC

    private Map<String,BookName> altNC

  Alternative shortened names for the Deuterocanonical books of the Bible normalized, generated at runtime.

Constructor Detail

### BibleNames.NameList

    BibleNames.NameList(Locale locale)

  Create NameList for the given locale

Method Detail

### getBookName

    BookName getBookName(BibleBook book)

### getPreferredName

    String getPreferredName(BibleBook book)

  Get the preferred name of a book. Altered by the case setting (see setBookCase() and isFullBookName())

  Parameters:
    `book` - The book of the Bible
  Returns:
    The full name of the book

### getLongName

    String getLongName(BibleBook book)

  Get the full name of a book (e.g. "Genesis"). Altered by the case setting (see setBookCase())

  Parameters:
    `book` - The book of the Bible
  Returns:
    The full name of the book

### getShortName

    String getShortName(BibleBook book)

  Get the short name of a book (e.g. "Gen"). Altered by the case setting (see setBookCase())

  Parameters:
    `book` - The book of the Bible
  Returns:
    The short name of the book

### getBook

    BibleBook getBook(String find,
                      boolean fuzzy)

  Get a book from its name.

  Parameters:
    `find` - The string to identify
    `fuzzy` - Whether to also find bible books where only a substring matches
  Returns:
    The BibleBook, On error null

### initialize

    private void initialize()

  Load up the resources for Bible book and section names, and cache the upper and lower versions of them.

### store

    private void store(ResourceBundle resources,
                       BibleBook book,
                       Map fullMap,
                       Map shortMap,
                       Map altMap)

### getString

    private String getString(ResourceBundle resources,
                             String key)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2015
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD